package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbCheckTrichinellaEntity;
import com.ruoyi.web.v3.model.request.HbCheckTrichinellaPageReq;

/**
 * <p>
 * v3.0 旋毛虫检测登记  服务类
 * </p>
 */
public interface IHbCheckTrichinellaService extends IService<HbCheckTrichinellaEntity> {

    AjaxResult add(HbCheckTrichinellaEntity request);

    AjaxResult edit(HbCheckTrichinellaEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbCheckTrichinellaPageReq request);

    AjaxResult listAll();
}
